   ###########################
  ##        THE X-MOD        ##
 ##  THE Quake2 Modification  ##
###   by Explorer, Scorpion   ###
#################################

README FILE FOR THE X-MOD,
 VERSION:  0.1y
 DATE:	   21.04.2000


PLEASE BE AWARE:
 a. Use this mod AT YOUR OWN RISK!
    This mod is provided AS-IS, w/o any warranty!
 b. THIS IS A BETA VERSION!
 c. There are still many things to do!
 d. This mod might be unstable!
 e. Bug reports & suggestions are welcome!
 f. There is an X-MOD mailinglist!
 


FOR MORE NEW VERSIONS, BUG FIXES AND MORE INFORMATION
VISIT OUR WEBSITE:
	http://www.webdesigns.de/xmod/
	
THE OFFICIAL X-MOD MAILINGLIST:
	xmod@egroups.com


1. How to install X-MOD

2. Commands & Key Bindings

3. Version history

4. Changes to regular Quake2 Deatchmatch 3.20

5. CFGs

6. WebSite

7. Contact us

8. Credits

9. Other

10. maps.txt & maps.vte?




1. How to install X-MOD
	THE FILES:
		- for playing only only:
			get the latest X-MOD Client Pack file (xmod-pak-x_x.zip).
		
		- for running dedicated servers only:
			get the latest X-MOD Server Pack file (xmod-srv-x_x.zip).
			
		- for running none dedicated servers
			you will need both files

	
	THE WAY:
	1. Download the current X-MOD ZIP file(s) from our website (http://www.webdesigns.de/xmod/) and
	   unzip it(them). As this file is normaly part of the(every) X-MOD ZIP file, you have already done that.
	
	2. Create a directory "xmod" directly inside your main quake2 folder. As the ZIP file includes such a
	   directory you can simply unzip the file directly into your quake2 folder.
	   The directory "xmod" will be created.
	   
	Playing as Client (you need the Client Pack!):
	   Start quake2 as usual and connect to a X-MOD server as if it were a normal quake2 server.
	   The gametype will automaticially be changed to X-MOD.
	   Play!
	
	Playing as Server (you need both Packs!):
	   After the installation serveral files and folders can be found in the "xmod" directory.
	   To start a XMOD server, just execute "xmod.bat" for a deathmatch game or "xmodcoop.bat"
	   for a cooperative game.
	   Other players may now connect.
	   They should have XMOD installed, but if you set server_side_only to "1"
	   they can also play without installing anything first. However, it will be less
	   fun than with XMOD installed. (Modells,Skins,Sounds,...)
	   (server_side_only AFFECTS ALWAYS ALL PLAYERS!)
	   Nice fragging!
	   
	Running a dedicated Server (you need the Server Pack!)
	   X-MOD provides a dedicated.bat file, run it ;)
	   You can also run quake2 with:
	   	quake2.exe +set game xmod +set dedicated 1 +deathmatch 1 +exec cfgpack.cfg +map q2dm1
	   	
	
	IMPORTANT NOTE CTF/RUNES:
	  If you want to play X-MOD in ctf mode, you will also need the official
	  ID-Software CTF pak file. If you enable CTF runes in deathmatch (via
	  allow_dm_runes "1") you will need the CTF pak file for deathmatch games
	  also.
	  
	  
	SOUND PAK:
	  Do I need xmod-snd-x_x.zip file?
	  If you are playing X-MOD without a sound card you'll definitly not
	  need this file (but who plays quake2 without sound?).
	  Otherwise it depends on you. The sound pak includes some q3 style wav
	  messages (taken lead,lost lead,perfect,excellent,...) which are quite
	  fun, but you don't *really* need them ;)



2. Commands & Key Bindings
	THE X-MOD offers you some new commands.
	
	Bot commands:
	 bot_num <n> - add <n> bots to the game (CTF/FFA-DM only), default: NONE
	 addteam <teamname> - add team <teamname> to the game (TEAM-DM only), default: NONE
	 join <teamname> - join the team <teamname> (TEAM-DM only), default: NONE
	 team blue/red - join the blue/red team (CTF only), default: NONE
	 rushbase - bot command (CTF only), default: bound to <F5>
	 defendbase - bot command (CTF only), default: bound to <F6>
	 freestyle - bot command (CTF only), default: bound to <F7>
	 group - bot command, default: NONE
	 disperse - bot command, default: NONE
	
	Weapons:
	 firemode - toggle weapon/fire modes, default: bound to <SHIFT>
	 resetfiremode - resets firemode to standard mode, for scripts only, default: NONE
	 setfiremode <int> - sets firemode to <int>. (starts with 0)
	
	Specials:
	 pointer - enable/disable laser pointer, default: bound to "R"
	 flashlight - enable/disable flashlight, default: bound to "F"
	 detpack - detonate all your detpacks within a certan distance, default: bound to "G"
	 cloak - enable/disable cloaking device, default: bound to "C"
	 jetpack - enable/diable jetpack, default: "V"
	 decoy - activate holo-decoy device, default: bound to "H"
	 +hook - use grapple, default: bound to <SPACE>
	 nightvision - IR Goggles on/off, default: "N"
	 zoom - zoom cmd, default: NONE
	 zoomin - zoom in, default: NONE
	 zoomout - zoom out, default: NONE
	 
	Talking/Radio:
	 say_to <NICK> "<MESSAGE>" - say something only to <NICK>, default: NONE
	 say_oteam "<MESSAGE>" - say something to the hostile team, default: NONE
	 say_killer "<MESSAGE>" - talk to your most recent killer, default: NONE
	 say_victim "<MESSAGE>" - talk to the person you last fragged, default: NONE
	 radio_power - enable/disable radio device (wav chatting), default: bound to "B"
	 radio <WAV-FILE> - send wav file to everybody in game, default: NONE
	 radio_team <WAV-FILE> - radio to team only, default: NONE
	 radio_oteam <WAV-FILE> - radio to hostile team only, default: NONE
	 radio_to <NICK> <WAV-FILE> - send privat wav file, default: NONE
	 radio_killer <WAV-FILE> - radio to last killer, default: NONE
	 radio_victim <WAV-FILE> - radio to last victim, default: NONE

	Vote/Administration:
	 vote map <MAPNAME> [NOW] - start vote, default: NONE
	 vote <YES|NO> - vote yes or no for current vote, default: bound to "\" (no), "]" (yes)
	 adm ... - admin commands see 9 f) for more infos, default: NONE
	 passwd <PASSWORD> - login if nick/skin is reserved, default: NONE
	 chpasswd <PASSWORD> - set new password, default: NONE
	 rmpasswd - NOT YET IMPLEMENTED!, default: NONE
	 addpasswd <PASSWORD> - reserve current NICK/SKIN with a password, default: NONE
	 init - reload CFG data, default: NONE
	 
	Other:
	 xmodhelp - show all X-MOD commands, default: NONE
	 coopstatus - show distance and health of your teammates, default: bound to "L"
	 ver - show X-MOD version number and release date, default: bound to "P"
	 cfgs - show summary info on current CFG-Pack, default: bound to "["
	 nextmap - print name of next map, default: NONE
	 menu - open/close menu system, default: bound to "M"
	 lights - toggle all lights in level, default: NONE


3. Version history
	New in version 0.1y (21.04.2000)
	- ERASER bots!
	- knockout mode (set "knockout" to max. death count)
	- single player no longer supported!
	- team deathmatch
	- 3 new weapons (xatrix)
	- haste powerup
	- scanner
	- players using nightvision can be blinded
	- quaddrop fixed
	- new admins.txt file format!
	- item replacement (replace.txt)
	- more admin options (light, lock, observer)
	- new BFG fire mode
	- CTF mode (still buggy)
	- ctf runes for deathmatch (need ctf pakfile, still buggy)
	- some other little changes
	- minor bug fixes
	
	New in version 0.1x (21.01.2000)
	- new improved jetpack
	- new nightvision command
	- first version of admin menu (still buggy)
	- more admin options (promote/demote/reset) (still buggy)
	- some other little changes

	New in version 0.1w (19.12.1999)
	- The X-MOD package has been split into 3 packages
	- removed ssgun combat mode, added sgun combat mode
	- new rocket mode: mini rockets
	- new rocket mode: homing missile
	- stickies,proxies and flares can now stick to a player
	- chasecam
	- some special funcs for map designers (RPLAT,Q1-Tele,...)
	- minor bug fixes

	New in version 0.1v (05.12.1999)
	- fixed location damage bug (since 0.1t only head shots did damage)
	- combat mode for super shotgun
	- little adjustments for abomb
	- Q3 like fraglimit countdown
	- Q3 like lead announcements
	- some other little changes
	
	New in version 0.1u (22.11.1999)
	- most stable X-MOD version ever!
	- abomb
	- max count for all grenades types
	- proxy devices now have unique numbers
	- fixed balistic grenade bug
	- fixed single player/coop hud
	- added some security checks => more stable!
	- minor bug fixes
	- some other little changes

	New in version 0.1t (14.11.1999)
	- admins now have a @ in their nick
	- more admin commands
	- added client vars (hook color,passwd,sensitivity,zoom)
	- better countdown on timelimit
	- fixed some nick reservation bugs
	- some map voting adjustments (more vars,...)
	- new directory/file/cfg structure
	- new xmodhelp command (prints all xmod commands)
	- some other little changes
	- minor bug fixes
	
	New in version 0.1s (12.11.1999)
	- map vote menu
	- map cycle
	- better/custom motd
	- fixed some log file problems
	- weaponban option
	- added max grapple time (5secs), decr. grapple speed
	- some other little changes
	- minor bug fixes

	New in version 0.1r (07.11.1999)
	- assign last frags/deaths to reconnecting players
	- timelimit countdown
	- %x variables in say commands (see below!)
	- little adjustments for spectator mode
	- resetfiremode command (for scripting)
	- holo-decoy
	- disable cloak on hook
	- some other little changes

	New in version 0.1q (05.11.1999)
	- offhand grapple
	- earthquake option (disabled by default)
	- weapon droping via backpack (Quake1 style) (disabled by default)
	- 3secs invincibility on respawn
	- ZBot detection (NOT TESTED!)
	- gas grenades
	- some other little changes

	New in version 0.1p (26.10.1999)
	- server_side_only option
	- new proxy devices (hand grenades)
	- railgun zoom bug fixed
	- some adjustments for DM teamplay
	- tried new compiler options => 90kB smaller dll (problems?)
	- some other little changes

	New in version 0.1o2 (15.10.1999)
	- xmod-0_1o.zip had old 0.1n dll file! (sorry)

	New in version 0.1o (14.10.1999)
	- topredos tweaked
	- some weapon models changed
	- little detpack adjustments
	- litte background improvements ;)

	New in version 0.1n (06.10.1999)
	- new addpasswd command
	- new chpasswd command

	New in version 0.1m2 (03.10.1999)
	- nick passwd bug solved (introduced in 0.1m)
	- map voting tweaked
	- little aircraft adjustments

	New in version 0.1m (02.10.1999)
	- map voting
	- admin login on clients => map&kick CMD
	- dropped items are removed after some time

	New in version 0.1l (27.09.1999)
	- new logfile format
	- display of mapname and timelimit

	New in version 0.1k (24.09.1999)
	- new hud (shows cells, deaths and rank)
	- homingrockets have now a torpedo mode for water
	- decloak on hit
	- minor bug fixes

	New in version 0.1j (23.09.1999)
	- nick reservation
	- model/skin reservation
	- multiple nick detection
	- minor bug fixes

	New in version 0.1i (19.09.1999)
	- exploding health boxes
	- monsters throwing grenades
	- fixed kill and deaths counters
	- logfile
	- clan banning ;)
	- minor bug fixes
	
	New in version 0.1h (14.09.1999)
	- some little changes
	- minor bug fixes

	New in version 0.1g (27.08.1999)
	- new deaths count in score board
	- new vars for homing,lguided&aircraft cell(&rocket) costs

	New in version 0.1f (18.08.1999)
	- MANY MANY vars, almost everything is now tweakable! (look in *.cfg AND in the CFG Area on our Website)
	- new cfgs command
	- cluster and stickycluster grenades tweaked
	- some other little changes
	- minor bug fixes
	
	New in version 0.1e (22.07.1999)
	- JetPack
	- some config vars in server.cfg, more to come! (look in server.cfg)
	- New death msgs
	- minor bug fixes

	New in version 0.1d (19.07.1999)
	- Flash grenades
	- DetPacks
	- Cloaking
	- minor bug fixes
	- duration of day increased
	- damage of baretta decreased

	New in version 0.1c (11.07.1999)
	- AirCrafts shootable (200 Health)
	- homing rockets try to kill AirCrafts
	- AirCraft throws grenades
	- AirCrafts will atack other AirCrafts
	- little adjustments for sticky bombs
	- bullet holes last only 5 sec (sometimes they produce message_overflows!)
	- zoomin and zoomout commands for a wheel mouse

	New in version 0.1b (02.07.1999)
	- The sticky bomb bug has been fixed
	- Blaster weapon mode switching does no longer affect the hyperblaster
	- damage and radius of clusterbombs increased
	- new "ver" command (displays version number and url of X-MOD website)


4. Changes to regular Quake2 Deatchmatch 3.20
	
	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	!!!   These are the changes in X-MOD 0.1a.   !!!
	!!! You should also read the version history !!!
	!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	
	- Laserpointer (becomes green if pointing on a target)
	- Flashlight
	- Laser guided rockets
	- Homing rockets
	- Rocket aircraft
	- Cluster grenades
	- Cluster sticky grenades
	- Balistic grenades
	- Sticky bombs
	- Flares
	- Bouncing blaster bolds
	- Command to toggle all lights in game (LIGHTS)
	- screen with info about all players (name,health,distance) in coop
	- all coop players must be present to proceed to the next area
	- Day to night changes
	- new deathmatch score board
	- every item is droped on player death
	- zoom command
	- bullet holes
	- bfg force push
	- location/area damage (leg*0.35,stomage*0.75,chest*1.2,head*5,ducked leg*0.35, ducked chest*1.2 and ducked head*5)
	- remote wav file playing (radio)
	- Some other little changes ...


5. CFGs
	Since version 0.1f THE X-MOD features an extreme amount of server vars for tweaking,
	you can edit almost everything!
	It is even possible to make X-MOD behave like normal quake2 with some cfg changes!
	So if you are searching a mod Quake2+laser pointer, search no further, X-MOD is your choice!

	The fine tuneing is one of the most important things for a quake2 mod, so I decided
	instead of playing my mod 2 years with friends and finding the ideal settings for me,
	you can do it yourself!
	If you have found your ideal cfg settings add your credit and send them to me via email. (e-x-p@gmx.net)

	I created a CFG Area on the X-MOD hompage where all these cfgs will be collected.
	You might want to take a look at the CFG Area, maybe the cfg for you is allready there!
	
	All X-MOD vars are saved in so called CFG files (*.cfg). You can edit them with any
	text editor. Lines starting with "//" are a comment and should help you to understand
	the most important X-MOD vars.
	One day, there will be a nice documentation, describing every single cfg entry, but for
	now X-MOD has no documentation (read the version history and you will know why!).
	If you like to write some lines for other X-MOD users, send me an email!


6. You can get new versions of THE X-MOD at:
	http://www.webdesigns.de/xmod/
	Here you can also post your own CFG files, so that other X-MOD users may also use them.
	You should subscribe yourself to the X-MOD mailinglist, so that you will be informed of
	any new versions or important bug fixes.


7. Contact us
	This MOD was written by Scorpion and Explorer you can contact us via email.
		Explorer <e-x-p@gmx.net>
		Scorpion <gbwolf@gmx.net>


8. Credits
	Sorry, but we copied code from everyone, everywhere.
	So, we do NOT have a real credit list! 
	 - eraser bot code
	 - ID Q2 ctf code
	 - ID Q2 dm code
	 - many Q2 mods & tutorials

9. Other
	a) radio
		For now there are no radio wav files included in this package.
		Feel free to copy your own wav files in the directory xmod/sound/radio
		Name them 1.wav 2.wav 3.wav ...
		Now you can bind "radio 1", "radio 2" ... to keys.
		Happy radio wav chatting!

	b) support
		If you like to support X-MOD, write us an email!
		(we need some 3D Models, Skins and of cause a new Background!)

	c) documentation
		I think you noticed that there is almost no documentation at this
		stage of development. We have new builds almost daily!
		Feel free to write some lines about X-MOD and then drop us a line! ;)

	d) logfile statistics
		Some day I will write a perl script which will create some nice html
		files with server stats, map stats, player stats, weapon stats and
		many more.
		Our logfile format offers much more information and a better format
		than most logfiles do. So if you allready wrote a program to do game
		statistics it should be quiet easy to adapt it for xmod logfiles.
		I already wrote a perl script that creates one nice stat page, but it is
		not yet finished. (if you are interested, I'll mail it to you!)

	e) map voting
		All maps in the file maps.vte are votable.
		You can use the map vote menu or you can use the vote console command.
		A player may push for the election of a new map with:
			vote map <MAPNAME> [now]
		All other players may do a "vote yes", "vote no" or nothing.

	f) admin cmds
		If your nick is listed in the file admins.txt you may do:
			adm map *MAPNAME*
			adm observer *NICKNAME*
			adm kick *NICKNAME*
			adm ban *NICKNAME*
			adm banip *IP*
			adm unbanip *IP*
			adm sv "*SERVERCOMMAND*"
			adm ccmd *NICKNAME* "*CLIENTCOMMAND*"
			adm rename *NICKNAME* *NEWNICKNAME*
			adm skin *NICKNAME* *NEWSKIN*
			adm whois *NICKNAME*
			adm reset *NICKNAME*
			adm promote *NICKNAME*
			adm demote *NICKNAME*
			adm lights on|off|stop|auto
			adm lock

	g) linking/mirorring
		If you are maintaining any quake related webpages feel free to add a link to our site ;)
		However please make sure that you are always linking the newest xmod zip file!
		You can do this by linking xmod-srv-latest.zip,xmod-snd-latest.zip and xmod-pak-latest.zip or by subscribing to the X-MOD mailing list,
		so that you will be informed by mail if there are any new versions of X-MOD.

	h) say commands
		The X-MOD offers you some new say commands:
           		say_oteam TEXT			Say TEXT to the enemy
			say_to NICK TEXT		Say TEXT to the player NICK
			say_victim TEXT			Say TEXT to your last victim
			say_killer TEXT			Say TEXT to your last killer

          	These templates will be replaced if found in say commands:
			%h	current health value
			%a	current armor value
			%w	name of current weapon
			%o	ammo for current weapon
			%l	name of nearest item,...
			%n	name of nearest player
			%c	current cells
			%z	x-pos,y-pos,z-pos
			%m	model/skin
			%p	ping
			%v	name of last victim
			%k	name of last killer

		With this in mind, you can bind some say commands to keys:
		i.e. 
			bind SOMEKEY "say_victim \"Hey %v, maybe you should do some more practice?\"" 
			bind SOMEKEY "say_team \"HELP! I am with %n %l with %h health an %a!\""
			bind SOMEKEY "say_team \"I got the %w with %o %l!\"" 
			... 
		
		NOTE: radio, radio_team, radio_oteam, radio_to, radio_victim, radio_killer are also implemented!

	i) Special map function Suport
		New functions: mostly UNTESTED!
		Some have already been removed from the code (which?)!
			- func_rplat
			- trigger_teleport
			- trigger_teleporter
			- info_teleport_destination
			- some changes to func_wall
	
	j) ...


10. maps.txt & maps.vte ?
	Both files contain one map per line. Comments, empty lines or invalid maps are not allowed!
	CHECK ALL MAPS!: an invalid map name in one of these files WILL CRASH YOUR SERVER!
	maps.txt
		These maps are played sequentielly. You should only include good maps in this file.
	maps.vte
		Only maps that are listed in this file can be elected by players.
		You can't vote for a map if it isn't listed in this file!

	=>	have some good maps in maps.txt (not too much!) and include all map
		you can think of in maps.vte

